net.sf.jasperreports.export.parameters

## Class ParametersOutputStreamExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput
  - - net.sf.jasperreports.export.parameters.ParametersOutputStreamExporterOutput

- All Implemented Interfaces:
    ExporterOutput, OutputStreamExporterOutput

  Deprecated.
  To be removed.

      public class ParametersOutputStreamExporterOutput
      extends AbstractParametersExporterOutput
      implements OutputStreamExporterOutput

  Version:
    $Id: ParametersOutputStreamExporterOutput.java 6738 2013-11-13 15:13:03Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersOutputStreamExporterOutput(JasperReportsContext jasperReportsContext, java.util.Map<JRExporterParameter,java.lang.Object> parameters, JasperPrint jasperPrint)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `java.io.OutputStream` | `getOutputStream()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `getParameterResolver, getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParametersOutputStreamExporterOutput

          public ParametersOutputStreamExporterOutput(JasperReportsContext jasperReportsContext,
                                              java.util.Map<JRExporterParameter,java.lang.Object> parameters,
                                              JasperPrint jasperPrint)

      Deprecated.

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      Deprecated.
      Specified by:
        `getOutputStream` in interface `OutputStreamExporterOutput`

    - #### close

          public void close()

      Deprecated.
      Specified by:
        `close` in interface `OutputStreamExporterOutput`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com